package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4H4 extends MwfRequest<MWF4H4, MWF4H4Response> {

    @Parameter(name = "CHANNEL_ID")
    MWF4H4 channelId(String channelId);
    @Parameter(name = "CIF")
    MWF4H4 cif(String cif);
    @Parameter(name = "FILTER_VALUE")
    MWF4H4 filterValue(String filterValue);
    @Parameter(name = "RS_IN")
    MWF4H4 rsIn(java.util.List<MWF4H4RsIn> rsIn);
}
